# `taskcontroller.xgrid` – Xgrid task controller

The Xgrid task controller runs tasks over Apple’s Xgrid. For more information about XGrid, see: http://www.apple.com/server/macosx/technology/xgrid.html

## Configuration Parameters

`xgrid.controller`

  Hostname or IP of the Xgrid controller. default=

`xgrid.grid`

  Id of the grid to use at the Xgrid controller. default=0

`xgrid.password`

  Password for the Xgrid controller. default=

`xgrid.peblpath`

  Full path to the pebl script on Xgrid agents. default=pebl

`xgrid.pollinterval`

  Time (in secs) to wait between polling the Xgrid controller. default=60.0

## XgridTaskController Related Classes

class `pebl.taskcontroller.xgrid.``XgridController`(**options)

  Create a XGridController.

  Any config param for ‘xgrid’ can be passed in via options. Use just the option part of the parameter name.

class `pebl.taskcontroller.xgrid.``XgridDeferredResult`(grid, task)